%{?nodejs_find_provides_and_requires}

%global packagename sander
%global enable_tests 1

Name:		nodejs-sander
Version:	0.6.0
Release:	1%{?dist}
Summary:	Promise-based power tool for common filesystem tasks

License:	MIT
URL:		https://github.com/rich-harris/sander
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	src-%{version}.tar.bz2
Source2:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# rollup config
Source11:	https://raw.githubusercontent.com/Rich-Harris/sander/v%{version}/rollup.config.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(rollup)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buffer-crc32)
%endif

%description
Promise-based power tool for common filesystem tasks


%prep
%autosetup -n package
# setup the src and tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package
# rollup config
cp -p %{SOURCE11} .


%build
%nodejs_symlink_deps --build
rm -rf dist/
rollup -c
rm -rf node_modules/


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jun  1 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.6.0-1
- Initial packaging
